### Property

# Adw EntryRow:show-apply-button

since: 1.2

#### Declaration

    property show-apply-button: gboolean [ read, write ]

#### Description [src]

Whether to show the apply button.

When set to `TRUE`, typing text in the entry will reveal an apply button. Clicking it or pressing the `Enter` key will hide the button and emit the `AdwEntryRow::apply` signal.

This is useful if changing the entry contents can trigger an expensive operation, e.g. network activity, to avoid triggering it after typing every character.

Type:`gboolean`

Available since: 1.2

Default value | FALSE
Getter method | `adw_entry_row_get_show_apply_button()`
Setter method | `adw_entry_row_set_show_apply_button()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no